% link = setdefault("link", "") or ""
% disabled = setdefault("disabled", "") and 'disabled="true"'
% preview = setdefault("preview", None)
<!DOCTYPE html>
<html>
  <head>
    <style>
html {
  --scrollbarBG: #333333;
  --thumbBG: #080808;
}
body {
  background-color: #080808;
  color: #cccccc;
}
img {
  background-color: floralwhite;
  color: black;
  max-height: min(100vh, calc(100vw * 9 / 16));
  max-width: calc(100vw - 2em);
}
    </style>
    <title>Go to ...</title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous"/>
    <link rel="stylesheet" href="https://shandan.one/css/grids-responsive-min.css"/>
    <link rel="stylesheet" href="https://shandan.one/css/responsive-visibility-collapse.css"/>
  </head>
  <body align="center" style="text-align: center">
    <div class="pure-g">
      % include('button-style')
      <div class="pure-u-1">
        <div class="pure-button-group" role="action" style="padding: 1em 0 0;">
          <button class="button-resize pure-button" type="submit" form="new"> New </button>
          <button class="button-resize pure-button" type="submit" form="goto" {{!disabled}}> Shrtn It! </button>
        </div>
      </div>
      <div class="pure-u-1">
        <div class="pure-button" style="margin: 1em 0 0; background: #8f4f4f">
          <a href="{{!link}}" style="color: floralwhite;">{{ link }}</a>
        </div>
      </div>
      <div class="pure-u-1">
        <p><details><summary> Show QR code ...</summary><img src="{{qr}}"/></details></p>
{{!form}}
      </div>
      <div class="pure-u-1-3"></div>
      <div class="pure-u-1-3">
      % if preview:
      %   include('card-goto', **preview)
      % end
      </div>
      <div class="pure-u-1-3"></div>
    </div>
  </body>
</html>
